#ifndef _XukcScrList_h
#define _XukcScrList_h

/* $Id: ScrollList.h,v 1.3 90/09/14 11:34:00 rlh2 Rel $ */

/* 
 * Copyright 1990 Richard Hesketh / rlh2@ukc.ac.uk
 *                Computing Lab. University of Kent at Canterbury, UK
 *
 * Permission to use, copy, modify and distribute this software and its
 * documentation for any purpose is hereby granted without fee, provided that
 * the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the names of Richard Hesketh and The University of
 * Kent at Canterbury not be used in advertising or publicity pertaining to
 * distribution of the software without specific, written prior permission.
 * Richard Hesketh and The University of Kent at Canterbury make no
 * representations about the suitability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 *
 * Richard Hesketh AND THE UNIVERSITY OF KENT AT CANTERBURY DISCLAIMS ALL
 * WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL Richard Hesketh OR THE
 * UNIVERSITY OF KENT AT CANTERBURY BE LIABLE FOR ANY SPECIAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
 * DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 * TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE
 * OF THIS SOFTWARE.
 *
 * Author:  Richard Hesketh / rlh2@ukc.ac.uk, 
 *                Computing Lab. University of Kent at Canterbury, UK
 */

/***********************************************************************
 *
 * UKCScrList Widget (subclass of UKC Viewport Class)
 *
 ***********************************************************************/

#include <X11/Xukc/Viewport.h>

/* uses children of the following classes */
#include <X11/Xaw/List.h>

#define XtNlistWidget "listWidget"
#define XtNlistName "listName"
#define XtNhighlighted "highlighted"
#define XtCHighlighted "Highlighted"

#define XtCListName "ListName"

/* Class record constants */

extern WidgetClass ukcScrListWidgetClass;

typedef struct _UKCScrListClassRec *UKCScrListWidgetClass;
typedef struct _UKCScrListRec      *UKCScrListWidget;

/* widget class public and convenience functions */
Boolean XukcScrListSelectItem(/* w, item_num, call */);
/* Widget w;
 * Cardinal item_num;
 * Boolean call;
 */
#endif _XukcScrList_h
