#if defined(SUNOS4) || defined(SVR4)
#include <dirent.h>
#else
#include <sys/dir.h>
#endif
/*#include "global.h"*/

#if defined(SUNOS4) || defined(_OSF_SOURCE) || defined(SVR4)
typedef struct dirent   Directory;
#else
typedef struct direct   Directory;
#endif
/* some machines have MAXPATHLEN in sys/param.h */
#ifndef MAXPATHLEN
# define MAXPATHLEN     1024
#endif

#define LINESIZ         512
#define LASTCH(s)       (s[strlen(s)-1])
#define SECLASTCH(s)    (s[strlen(s)-2])
#define MAXCOLUMNS      8       /* max number of columns in file menu */
#define MAXARGS         20      /* max number of args */
#define FILES_PER_COL   10      /* # of files per column in file menu */

#define INVALID         (-2)
#define CANCELED        (-1)
#define OK              0

void File(Widget ,caddr_t , caddr_t);
int SelFile(Widget, char *, char **);
void LoadFile(Widget, caddr_t);
static int  UpdateFileMenu(void);
static void CancelFileMenu(Widget, Widget, caddr_t);
static int SetUpFileMenu(char *);

static void changeDir(char *);
static int InList(Directory *);
static int ScanDir(char *);
char *remove_current_prefix(char *);
static void DisplayMenuFile(Widget, Widget, XawListReturnStruct *);
void DisableWindowResize(Widget);

