/*
 * util.h - General purpose utility functions
 */

#ifndef _UTIL_H
#define _UTIL_H

int GetState(void);
void do_redraw(void);
char *str_dup(char *str);
void NewHelpList(Widget, caddr_t, XawListReturnStruct *);
void NewDimList(Widget, caddr_t, XawListReturnStruct *);
void NewKeyList(Widget, caddr_t, XawListReturnStruct *);
void NewKey2List(Widget, caddr_t, XawListReturnStruct *);
void RedrawCanvas(Widget, caddr_t, XawDrawingAreaCallbackStruct *);
void ERedrawCanvas(Widget, caddr_t, XawDrawingAreaCallbackStruct *);
void MotionCanvas(Widget, caddr_t, XawDrawingAreaCallbackStruct *);
void InputCanvas(Widget, caddr_t, XawDrawingAreaCallbackStruct *);
void ResizeCanvas(Widget, caddr_t, XawDrawingAreaCallbackStruct *);
void ResizeCanvasCB(Widget, XtPointer, XtPointer);
void interactive_move_brush(int, int, int);
void DrawScatterBrushBox(int, int, double, double, double, double);
void interactive_resize_brush(int, int, int);

void set_ascii_text(Widget, char *);
void SetInput(Widget, char *, caddr_t);
void get_data(double [], int);
int covered(double []);
int map_location_to_axis(int);
void PlaceWindow(Widget, char *, caddr_t);

#endif /* _UTIL_H */

